/*=========================================================================
This source has no copyright.  It is intended to be copied by users
wishing to create their own ParaView plugin classes locally.
=========================================================================*/
// .NAME vtkLocalConeSource - Example ParaView Plugin Source
// .SECTION Description
// vtkLocalConeSource is a subclass of vtkConeSource that adds no
// functionality but is sufficient to show an example ParaView plugin.

#ifndef __vtkOSGRenderer_h
#define __vtkOSGRenderer_h

#include "vtkPolyDataToPolyDataFilter.h"

#include "vtkosgPVConfigure.h" // VTK_osgPV_EXPORT

class VTK_osgPV_EXPORT vtkOSGRenderer : public vtkPolyDataToPolyDataFilter
{
public:
  vtkTypeRevisionMacro(vtkOSGRenderer,vtkPolyDataToPolyDataFilter);
  void PrintSelf(ostream& os, vtkIndent indent);

  static vtkOSGRenderer* New();

protected:
  vtkOSGRenderer();
  ~vtkOSGRenderer();

  // Usual data generation method
  void Execute();

private:
  vtkOSGRenderer(const vtkOSGRenderer&);  // Not implemented.
  void operator=(const vtkOSGRenderer&);  // Not implemented.
};

#endif
